'use strict';

var _extends = require('@babel/runtime/helpers/extends');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var _extends__default = /*#__PURE__*/_interopDefault(_extends);
var React__namespace = /*#__PURE__*/_interopNamespace(React);

var SvgAlertTableIcon = function SvgAlertTableIcon(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends__default.default({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: 40,
    height: 32
  }, props), /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("path", {
    id: "alert-table-icon_svg__a",
    d: "m14.94 13.26-6.5-12a.5.5 0 0 0-.88 0l-6.5 12a.5.5 0 0 0 0 .5.5.5 0 0 0 .44.24h13a.5.5 0 0 0 .44-.74"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    id: "alert-table-icon_svg__b",
    d: "M8 10.5A.75.75 0 1 1 8 12a.75.75 0 0 1 0-1.5m.565-4.995v4H7.44v-4z"
  })), /*#__PURE__*/React__namespace.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#0058FF",
    d: "M0 0h40v2.759H0z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    stroke: "#005BFF",
    d: "M.5 3.259h39V31.5H.5z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D8D8D8",
    d: "M3.5 6.621h19V9.38h-19zm21.5 0h11V9.38H25zM3.5 18.759h19v2.759h-19zm0-6.069h19v2.759h-19zm21.5 0h11v2.759H25zM3.5 24.828h19v2.759h-19z"
  }), /*#__PURE__*/React__namespace.createElement("g", {
    transform: "translate(21 13.714)"
  }, /*#__PURE__*/React__namespace.createElement("use", {
    xlinkHref: "#alert-table-icon_svg__a",
    fill: "#0F62FE"
  }), /*#__PURE__*/React__namespace.createElement("use", {
    xlinkHref: "#alert-table-icon_svg__b",
    fill: "#FFF"
  }))));
};
SvgAlertTableIcon.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SvgAlertTableIcon"
};
var SvgAlertTableIcon$1 = SvgAlertTableIcon;

module.exports = SvgAlertTableIcon$1;
